Subject: [PATCH 3/6] ARM: Fix v7wbi_tlb_flags for SMP on UP

From: [email-masked] (Tony Lindgren)
Date: Thu, 2 Sep 2010 16:47:46 -0700

* Tony Lindgren <[email-masked]> [100902 09:29]:
> * Russell King - ARM Linux <[email-masked]> [100902 09:18]:
> > On Thu, Sep 02, 2010 at 09:20:40AM -0700, Tony Lindgren wrote:
> > > >From 253e91b76e104dbdf05c5c3eaf9cbf426972c938 Mon Sep 17 00:00:00 2001
> > > From: Tony Lindgren <[email-masked]>
> > > Date: Wed, 1 Sep 2010 16:49:13 -0700
> > > Subject: [PATCH 3/6] ARM: Fix v7wbi_tlb_flags for SMP on UP
> > > 
> > > Fix v7wbi_tlb_flags for SMP on UP. Note that we must enable MULTI_TLB
> > > to avoid undefined reference to cpu_tlb error.
> > 
> > This isn't required, as it is already covered by my patch.
> 
> Yup, seems to be working without this patch.

Correction, only boots on SMP hardawre. On UP hardware I still
need the following patch.

Left out forcing MULTI_TLB as looks like your patch already
does that.

Also noticed I'm now getting unhandled fault on SMP system
which I was not getting earlier. Will try to track it down.

Tony
-------------- next part --------------
A non-text attachment was scrubbed...
Name: tlbflush-fix-smp-on-up-flags.patch
Type: text/x-diff
Size: 1386 bytes
Desc: not available
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20100902/0370d3cb/attachment.bin>